; ----- CIS: Dial Compuserve (CIS) and connect (logon)
; ----------------------------------------------------------------
;	Note: This script expects dialing directory entry #3 to be
;	a Compuserve direct-dial number.  Telenet or other carrier
;	access require different scripting.
; ----------------------------------------------------------------
;	Note: This script uses a LOGON file prepared by MKLOGON,
;	if one is available.
; ----------------------------------------------------------------
;
;	Dial CIS directly
;
	LEGEND " Dialing CIS direct..."
	IF NOT linked
	   RESET		; Reset defaults only if not linked
	   DEFTIME "60"         ; Wait 60 seconds for an incoming string
	   DIAL "3"             ; Call dial dir entry number 2 (CIS)
	   IF failed		; IF esc out
	      EXIT		; terminate script
	      ENDIF
	   ENDIF
;
;	Set initial values
;
	SET 25			; VidTex doesn't like 43
	SET BSuppress off	; Turn off blank line suppression
	SET Mask on		; Turn on high bit mask
	SET CDisplay off	; disable ctl char displau
	EMULATE VIDTEX		; Make up/downloads automatic
;
;	Now - wait for the user ID prompt
;
	Pause "3"               ; Wait for the modem to settle down
	Transmit "!"            ; Transmit Carriage return <CR>
	Waitfor "Host"          ; Wait 1 sec
	Transmit "CIS!"         ; Respond CIS
	Waitfor "User ID:"      ; Wait for the 'USER ID' prompt
;
;	If we have a CISLOGON file, use it
;
	SET TTHRU OFF		; Let psw be typed
	IF ISSCFILE "CISLOGON"
	   FCALL "CISLOGON"
	ELSE
	   Alarm		   ; Sound alarm
	   ENDIF
