; ----- NWI: Dial the NWI system and connect (logon)
; ----------------------------------------------------------------
;	Note: This script hard codes the 800-number for NWI.  Tele-
;	net or other access methods require different scripting.
; ----------------------------------------------------------------
;	Note: This script uses a LOGON file prepared by MKLOGON,
;	if one is available.
; ----------------------------------------------------------------
;
;	Dial NWI without a dialing directory entry
;
	LEGEND " Dialing NWI"
	RESET			; Reset defaults only if not linked
	SET RDELAY 60		; Wait 60 seconds for redial
	SET BAUD 1200		; Set parameters for DIALING
	SET PARITY NONE 	; ..
	SET Data 8
	SET Stop 1
	SET Duplex full
	DIAL 81 		; Dial the number specified in this entry
	IF FAILED		; Test success of dialing
	   EXIT 		; terminate script
	   ENDIF		; End if not linked
;
;	Synchronize with the host
;
	TRANSMIT "!"            ; Send a c/r
	WAITFOR "^M"            ; Wait for a c/r
	TRANSMIT "!"            ; Send another c/r
	WAITFOR "Username:"     ; Waitfor prompt
	IF NOT WAITFFOR
	   MESSAGE "^M^JNWI not responding^M^J"
	   HANGUP
	   EXIT
	   ENDIF
;
;	If we have a NWILOGON file, use it
;
	SET TTHRU OFF		; Let psw be typed
	SET SUCCESS OFF 	; ..
	IF ISSCFILE "NWILOGON"
	   FCALL "NWILOGON"
	   ENDIF
;
;	If invoked via FCALL, return.  Else signal completion
;
	IF FCALLED FRET
	Alarm			; Sound alarm
